Package twisted :: Package internet :: Module interfaces :: Class ITLSTransport

[frames | no frames]

## Class ITLSTransport

    Interface --+
                |
       ITransport --+
                    |
        ITCPTransport --+
                        |
                       ITLSTransport

A TCP transport that supports switching to TLS midstream.

Once TLS mode is started the transport will implement `ISSLTransport`.

Method Summary
| ``startTLS`(self, contextFactory)` Initiate TLS negotiation.
Inherited from ITCPTransport
| ``getHost`(self)` Returns tuple ('INET', host, port).
| ``getPeer`(self)` Returns tuple ('INET', host, port).
| ``getTcpKeepAlive`(self)` Return if SO_KEEPALIVE enabled.
| ``getTcpNoDelay`(self)` Return if TCP_NODELAY is enabled.
| ``setTcpKeepAlive`(self, enabled)` Enable/disable SO_KEEPALIVE.
| ``setTcpNoDelay`(self, enabled)` Enable/disable TCP_NODELAY.
Inherited from ITransport
| ``loseConnection`(self)` Close my connection, after writing all pending data.
| ``write`(self, data)` Write some data to the physical connection, in sequence.
| ``writeSequence`(self, data)` Write a list of strings to the physical connection.

Method Details

### startTLS(self, contextFactory)

Initiate TLS negotiation.

  Parameters:
    `contextFactory` - A context factory (see `ssl.py`)

Generated by Epydoc 2.0 on Wed Feb 25 07:37:34 2004 | http://epydoc.sf.net